Create User
curl --request POST \
--url https://api.voxo.co/v2/admin/users/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": 123,
"userRoleId": 123,
"email": "jsmith@example.com"
}
'import requests
url = "https://api.voxo.co/v2/admin/users/"
payload = {
"tenantId": 123,
"userRoleId": 123,
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenantId: 123, userRoleId: 123, email: 'jsmith@example.com'})
};
fetch('https://api.voxo.co/v2/admin/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "<string>",
"title": "<string>",
"tenantId": 123,
"timezone": "<string>",
"userRoleId": 123,
"partnerId": 123,
"avatarPath": "<string>",
"avatarThumbnailPath": "<string>",
"extension": {
"id": 123,
"name": "<string>",
"number": "<string>"
},
"userRole": {
"id": 123,
"name": "<string>"
},
"partner": {
"id": 123,
"name": "<string>"
},
"pharmacyLocations": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"adminTenants": [
{
"id": 123,
"name": "<string>"
}
]
}Users
Create User
Create a user, optionally assigning an extension, admin tenants, and partner
POST
/
v2
/
admin
/
users
/
Create User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Created user
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?